Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.unibi.techfak.InSilicoDicer.Actions.ScorePrecursor
Class Score_Gaasterland

    java.lang.Object
      de.unibi.techfak.InSilicoDicer.Actions.ScorePrecursor.Score_Gaasterland

All Implemented Interfaces:
  Action, IScoreAction

    public class Score_Gaasterland

extends java.lang.Object
implements IScoreAction

Author:
  Sylvia Tippmann

Field Summary
`int` | `win`

Constructor Summary
`Score_Gaasterland()`

Method Summary
`double` | `countIntMm2IntBulges(java.lang.String viennaWin)` Computes the ratio of internal mismatches to internal bulges.
`int` | `countMismatches(java.lang.String viennaWin)` Counts the number of all mismatches in the subsequence.
`int` | `countTerminalMM(java.lang.String viennaWin)` Counts the number of terminal mismatches in the subsequence.
`java.util.Vector` | `formula(PrecursorContainer pc)` Scores the window (mature miRNA) by a defined Formula
`Status` | `getStatus()` Returns the status of current Action
`int` | `isU(java.lang.String precursor, int count)` Checks whether the substring starts with an 'U'.
`void` | `setStatus(Status status)` Set the status of current Action

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### win

    public int win

Constructor Detail

### Score_Gaasterland

    public Score_Gaasterland()

Method Detail

### countMismatches

    public int countMismatches(java.lang.String viennaWin)

  Counts the number of all mismatches in the subsequence.

  Parameters:
    `viennaWin` -
  Returns:
    number of mismatches

### countTerminalMM

    public int countTerminalMM(java.lang.String viennaWin)

  Counts the number of terminal mismatches in the subsequence.

  Parameters:
    `viennaWin` -
  Returns:
    Number of terminal mismatches

### countIntMm2IntBulges

    public double countIntMm2IntBulges(java.lang.String viennaWin)

  Computes the ratio of internal mismatches to internal bulges.

  Parameters:
    `viennaWin` -
  Returns:
    Ratio internal mismatches to internal bulges

### isU

    public int isU(java.lang.String precursor,
                   int count)

  Checks whether the substring starts with an 'U'.

  Parameters:
    `precursor` -
    `count` -
  Returns:
    1 if char is not U, 0 otherwise

### formula

    public java.util.Vector formula(PrecursorContainer pc)

  Description copied from interface: `IScoreAction`
  Scores the window (mature miRNA) by a defined Formula

  Specified by:
    `formula` in interface `IScoreAction`
  Returns:
    Vector of scores (containing arrays with scores for each precursor)

### getStatus

    public Status getStatus()

  Description copied from interface: `Action`
  Returns the status of current Action

  Specified by:
    `getStatus` in interface `Action`
  Returns:
    Status of this Action

### setStatus

    public void setStatus(Status status)

  Description copied from interface: `Action`
  Set the status of current Action

  Specified by:
    `setStatus` in interface `Action`
  Parameters:
    `status` - - Status to be set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD